org.springframework.messaging.simp.user

## Interface SimpSubscription

    public interface SimpSubscription

Represents a subscription within a user session.

Since:
  4.2
Author:
  Rossen Stoyanchev

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getDestination()` Return the subscription's destination.
`String` `getId()` Return the id associated of the subscription.
`SimpSession` `getSession()` Return the session of the subscription.

### Method Detail

#### getId

    String getId()

Return the id associated of the subscription.

#### getSession

    SimpSession getSession()

Return the session of the subscription.

#### getDestination

    String getDestination()

Return the subscription's destination.